<?php

/**
 * @file
 * Settings form.
 */

/**
 * Config form shown at admin/config/media/way2enjoy7.
 */
function way2enjoy7_admin($form, &$form_state) {

  $form['way2enjoy7_debug'] = array(
    '#type' => 'select',
    '#title' => t('Show debugging information'),
    '#default_value' => variable_get('way2enjoy7_debug', 0),
    '#description' => t('Additional debugging messages in Watchdog to help debugging (e.g., optimalization successes). Default: No.'),
    '#options' => array(0 => 'No', 1 => 'Yes'),
    '#required' => TRUE,
  );

  $form['way2enjoy7_timeout'] = array(
    '#type' => 'textfield',
    '#title' => t('way2enjoy.com timeout'),
    '#default_value' => variable_get('way2enjoy7_timeout', WAY2ENJOY7_TIMEOUT),
    '#size' => 3,
    '#maxlength' => 2,
    '#description' => t('Maximum number of seconds to wait for a response from way2enjoy.com. Default: %way2enjoy7_timeout.', array('%way2enjoy7_timeout' => WAY2ENJOY7_TIMEOUT)),
    '#required' => TRUE,
  );

  $form['way2enjoy7_log_size'] = array(
    '#type' => 'textfield',
    '#title' => t('Operation log size'),
    '#default_value' => variable_get('way2enjoy7_log_size', WAY2ENJOY7_LOG_SIZE),
    '#size' => 4,
    '#maxlength' => 3,
    '#description' => t('Maximum number of log entries to be shown on the module dashboard (successful and unsuccessful optimalization requests). Default: %way2enjoy7_log_size.', array('%way2enjoy7_log_size' => WAY2ENJOY7_LOG_SIZE)),
    '#required' => TRUE,
  );

  return system_settings_form($form);
}
